package de.dhbwstuttgart.typeinference.unify.model;

public class hashKeyType {
	UnifyType realType;
	
	hashKeyType(UnifyType realType) {
		this.realType= realType;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (obj instanceof hashKeyType) {
			return realType.equals(((hashKeyType)obj).realType);
		}
		else
		{
			return false;
		}
	}
	
	@Override
	public int hashCode() {
		return realType.hashCode();
	}
}
